Bug 1823608 - cluster etcd operator status reporting needs to be more human readable
Summary: cluster etcd operator status reporting needs to be more human readable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.z
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1821286
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-14 02:53 UTC by Alay Patel
Modified: 2020-06-17 22:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1821286
Environment:
Last Closed: 2020-06-17 22:26:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 307 None closed Bug 1823608: fix message reporting for etcdmemberscontroller 2020-07-02 11:39:27 UTC
Github openshift cluster-etcd-operator pull 336 None closed Bug 1823608: fix message reporting for etcdmemberscontroller 2020-07-02 11:39:27 UTC
Red Hat Product Errata RHBA-2020:2445 None None None 2020-06-17 22:26:28 UTC

Description Alay Patel 2020-04-14 02:53:42 UTC
+++ This bug was initially created as a clone of Bug #1821286 +++

Description of problem:
For debugging the cluster-etcd-opertor report how many members are available, unhealthy, unknown or unstarted. If anyone of the lists is empty, it will produce the following output:

-----
EtcdMembers_UnhealthyMembers: EtcdMembersDegraded: ci-op-sd598-m-2.c.openshift-gce-devel-ci.internal members are unhealthy,  members are unknown


Expected output is:

EtcdMembers_UnhealthyMembers: EtcdMembersDegraded: 1 of 3 etcd members (ci-op-sd598-m-2.c.openshift-gce-devel-ci.internal[, ...]) are not reachable.

More discussion from #forum-etcd:

https://coreos.slack.com/archives/C027U68LP/p1585766067158800

Comment 8 errata-xmlrpc 2020-06-17 22:26:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445


Note You need to log in before you can comment on or make changes to this bug.